Download it now!
Bug 120585 - Pie chart segment rendered as rectangle when anti-aliasing is off with gtk3
Summary: Pie chart segment rendered as rectangle when anti-aliasing is off with gtk3
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3 regressions-buffering-GraphicData
  Show dependency treegraph
 
Reported: 2018-10-14 13:27 UTC by Andras Timar
Modified: 2019-05-06 11:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (PPTX) (201.19 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-10-14 13:27 UTC, Andras Timar
Details
Screenshot (177.43 KB, image/png)
2018-10-14 13:28 UTC, Andras Timar
Details
screenshot windows (309.68 KB, image/jpeg)
2018-10-14 14:09 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2018-10-14 13:27:41 UTC
Created attachment 145705 [details]
bugdoc (PPTX)

I played a bit with chart styles and I found that LibreOffice does not import them properly, but this bug report is about something else. 

When I imported the attached file in LibreOffice master (Linux), I was shocked to see rectangles instead of pie chart segments in some cases.

Tools - Options - LibreOffice - View - Use anti-aliasing was off. When I switched it on, everything was good. Back to off, wrong again.

Version: 6.2.0.0.alpha0+
Build ID: ac9c14dbbd3a4341de0aa1b1dbc37ad2ce69398c
CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk3; 
Locale: hu-HU (en_US.UTF-8); Calc: threaded
Comment 1 Andras Timar 2018-10-14 13:28:15 UTC
Created attachment 145706 [details]
Screenshot
Comment 2 Oliver Brinzing 2018-10-14 14:09:05 UTC
Created attachment 145707 [details]
screenshot windows

no repro with: 

Version: 6.2.0.0.alpha0+ (x64)
Build ID: b9234b43ed259a10cf9077032af0f79740f01d8b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); Calc: threaded
Comment 3 Aron Budea 2018-10-15 07:42:04 UTC
This bug started occurring in two stages. First the whole slide is shown as a blue rectangle with a bit of text after the following commit (bibisected using bibisect-linux-64-6.2):

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7034311dce663c895577267110baadbec312d491
author		Armin Le Grand <Armin.Le.Grand@cib.de>	2018-09-06 18:15:02 +0200
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-09-13 08:49:35 +0200

"Support buffering SystemDependent GraphicData (II)"

Then the blueness becomes what can be seen in Andras' screenshot in the following range (single commit in bibisect-linux-64-6.2):
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=da9a539999fc8ae47a78542ce646005f3a9be868..852a6a57f99f8ceacee791329f2e6ca04a28dc58

Reverting the following commit from the range restores the blueness, so it's responsible for the second change (though it can't be established if it's also responsible for the rectangles themselves). Adding Cc: to Armin Le Grand, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3c658d7fd77eb2e7b98e70c6b8fd5f80cb6414f7
author		Armin Le Grand <Armin.Le.Grand@cib.de>	2018-09-19 15:38:50 +0200
committer	Mike Kaganski <mike.kaganski@collabora.com>	2018-09-20 15:09:13 +0200

"tdf#119843 Use transformed polygon data when needed"
Comment 4 Luke 2019-04-01 22:45:36 UTC
This only affects the gtk3 backend. Both gen and gtk render fine. Bubble charts are also affected.
Comment 5 Caolán McNamara 2019-04-02 07:56:08 UTC
is there any reason to turn antialiasing off, why do we continue to support that ?
Comment 6 Xisco Faulí 2019-04-29 11:43:30 UTC
Hi Bubli,
since you fixed bug 120797 I thought you might be interested in this issue as well, since it was introduced by the same commit...
Comment 7 Katarina Behrens (Inactive) 2019-04-29 16:44:03 UTC
(In reply to Xisco Faulí from comment #6)
> Hi Bubli,
> since you fixed bug 120797 I thought you might be interested in this issue
> as well, since it was introduced by the same commit...

Bwahahahaaa bug 120797 was easy, this one is hard AF
Comment 8 Katarina Behrens (Inactive) 2019-05-02 08:28:09 UTC
Now come to think of it, it is not that hard
Comment 9 Commit Notification 2019-05-03 15:10:17 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8d902026dc45af7b239fc6f68096a3dd31279dc9%5E%21

tdf#120585: use applyColor and make it transparency-aware

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-05-04 08:31:50 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7f3b76ab45b70fe8465a432cd82e0d9d2a4c3eb6%5E%21

tdf#120585: use applyColor and make it transparency-aware

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-05-06 11:04:12 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: ddea172792d13516ff7e0dd43f1f78b74ade8914
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Bubli, thanks for fixing this issue!!